--- title: "Get scene summary status (deprecated)" slug: "maiu-scene-summary-status" updated: 2026-09-17T10:12:40Z published: 2026-09-17T10:12:40Z canonical: "api.ncloud-docs.com/maiu-scene-summary-status" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get scene summary status (deprecated) Available in VPC Caution This API is deprecated and is scheduled to be removed in January 2027. Use the new [Get scene summary status](/docs/en/mi-scene-summary-status) API. Check the status of summaries for scenes that are in progress or have been completed. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/workspaces/{workspace_name}/projects/{project_id}/assets/{asset_id}/indexes/{index_id}/scene-summaries/{scene_summary_id}/status | ### Request headers For information about the headers common to all Media Intelligence APIs, see [Media Intelligence request headers](/docs/en/maiu-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters The following describes the parameters. | Field | Type | Required | Description | | --- | --- | --- | --- | | `workspace_name` | String | Required | Workspace name | | `project_id` | String | Required | Project ID - See [Get project list](/docs/en/maiu-list-projects). | | `asset_id` | String | Required | Media asset ID - See [Get media asset list](/docs/en/mi-list-assets). | | `index_id` | String | Required | Index ID - See [Get index list](/docs/en/maiu-list-indexes). | | `scene_summary_id` | String | Required | Scene summary request ID - See [Request scene summary](/docs/en/maiu-request-scene-summary). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://mi.apigw.ntruss.com/api/v1/workspaces/my-workspace/projects/1234/assets/5678/indexes/1001/scene-summaries/101/status' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | String | - | [API processing result code](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C) | | `message` | String | - | [API processing result message](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C) | | `result` | Object | - | Scene summary status information | | `result.status` | String | - | Analysis status - `BEFORE_SUMMARIZE`: Initial status where scene summarization has never been performed - `WAIT_SUMMARIZE`: Status where scene summarization request is complete and the task is pending - `SUMMARIZING`: Status where scene summarization is in progress - `SUMMARIZE_COMPLETED`: Status where all requested scenes have been successfully completed - `SUMMARIZE_FAIL`: Status where scene summarization failed due to an error - `SUMMARIZE_CANCELED`: Status where the user canceled scene summarization | | `result.statusMessage` | String | - | Error details when scene summary fails | | `result.sceneSummaryId` | Integer | - | Scene summary ID - Return the ID of the last successfully analyzed scene upon completion. | | `result.targetSceneIds` | Array | - | List of scene IDs to be analyzed - `null` if it is a full analysis | | `result.analyzedSceneCount` | Integer | - | Number of scenes analyzed for the current request | | `result.totalSceneCount` | Integer | - | Total number of scenes to be analyzed for the current request | | `result.requestedTime` | String | - | Analysis request date and time - ISO 8601 format | | `result.completedTime` | String | - | Analysis completion date and time - ISO 8601 format - Returned only upon completion | ### Response status codes For information about the HTTP status codes common to all Media Intelligence APIs, see [Media Intelligence response status codes](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": "0", "message": "success", "result": { "status": "SUMMARIZING", "statusMessage": null, "sceneSummaryId": 101, "targetSceneIds": null, "analyzedSceneCount": 3, "totalSceneCount": 10, "requestedTime": "2026-04-17T10:30:00", "completedTime": null } } ```